Package com.sun.jna.platform.win32

## Class WinDef.UINTByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinDef.UINTByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

    public static class WinDef.UINTByReference
    extends ByReference

The Class UINTByReference.

### Constructor Summary

Constructors
`UINTByReference()` Instantiates a new UINT by reference.
`UINTByReference​(WinDef.UINT value)` Instantiates a new UINT by reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`WinDef.UINT` `getValue()` Gets the value.
`void` `setValue​(WinDef.UINT value)` Sets the value.

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UINTByReference

    public UINTByReference()

Instantiates a new UINT by reference.

#### UINTByReference

    public UINTByReference​(WinDef.UINT value)

Instantiates a new UINT by reference.

Parameters:
  `value` - the value

### Method Detail

#### setValue

    public void setValue​(WinDef.UINT value)

Sets the value.

Parameters:
  `value` - the new value

#### getValue

    public WinDef.UINT getValue()

Gets the value.

Returns:
  the value